class MoviesController < ApplicationController
  def list
      @movies = Movie.all
  end

  def view
      @movie = Movie.find(params[:id])
      
      #calculate an average to output
      @average = @movie.ratings.average(:rating)
      if @average
          @average = @average.round.to_i
      else
          @average = 0
      end
  end
  
  def rate
      @movie = Movie.find(params[:id])
  end
  
  def recordRating
      rating = Rating.new(params[:rating])
      rating.movie = Movie.find(params[:id])
      rating.save
      
      redirect_to :action => :view, :id => rating.movie.id
  end

end
